Name: ovm-consoled
Version: 0.1
Release: 3.1
Summary: Oracle VM console server.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4, stunnel, socat

Patch1: dummy.patch
Patch2: add-license-file.patch
Patch3: fix-invalid-uuid.patch
Patch4: ovm-consoled-refresh-tunnel-interval-increase-to-60s-from-10s.patch
# End Oracle Patches

%description
Oracle VM console server for exporting guest consoles.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add ovm-consoled
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ovm-consoled stop >/dev/null 2>&1
    /sbin/chkconfig --del ovm-consoled
fi

%files
%defattr(-,root,root)
%doc README COPYING
%{_sysconfdir}/init.d/ovm-consoled
%config(noreplace) %{_sysconfdir}/ovm-consoled.conf
%{_sbindir}/ovm-consoled

%changelog
* Thu Dec 22 2011 Herbert van den Bergh <herbert.van.den.bergh@oracle.com> - 0.1-3.1 
- increase refresh tunnel interval to 60s from 10s. [bug 13529699]

* Wed Nov 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3 
- fix invalid uuid issue: {DOMAIN} 0004fb00-0006-0000-31fb-cf2d7b325e4f-1 {SSLVNC} 6927 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-2 
- add license file [bug 12737215] 

* Tue Aug 31 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-1
- Initial build.
